import javafx.scene.control.Slider;
import javafx.scene.control.Button;
import javafx.scene.control.Label;
import javafx.scene.layout.StackPane;
import javafx.scene.media.Media;
import javafx.scene.media.MediaPlayer;
import javafx.geometry.Pos;
import javafx.geometry.Insets;
public class BotonVol extends StackPane{
	Boton boton;
	BotonVol(Boton _boton){
		boton=_boton;
		getChildren().add(boton);
		setAlignment(boton,Pos.TOP_CENTER);
		setMargin(boton,new Insets(2,2,2,2));
		
		Slider slVolume = new Slider();
        slVolume.setPrefWidth(50);
        //slVolume.setMaxWidth(Region.USE_PREF_SIZE);
        //slVolume.setMinWidth(30);
        slVolume.setValue(50);
        boton.player.volumeProperty().bind(slVolume.valueProperty().divide(100));
		getChildren().add(slVolume);
		setAlignment(slVolume,Pos.BOTTOM_CENTER);
		
	}
	
	
	
}